/* Problem URL: https://codeforces.com/gym/101908/problem/C */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    ll x, y;
    cin >> x >> y;

    ll h, v;
    cin >> h >> v;

    ll ans = (h + 1) * (v + 1);

    V<pair<ll, ll>> ys(h);
    repv(i, ys) {
        cin >> i.first >> i.second;
    }

    V<pair<ll, ll>> xs(v);

    repv(i, xs) {
        cin >> i.first >> i.second;
    }

    sortv(ys);
    sortv(xs);

    function<ll(V<pair<ll, ll>>&)> count = [&](V<pair<ll, ll>> &vec) -> ll {
        if (vec.size() <= 1) {
            return 0;
        }

        int mid = vec.size() / 2;

        V<pair<ll, ll>> first(mid);
        rep(i, mid) {
            first[i] = vec[i];
        }

        V<pair<ll, ll>> second(vec.size() - mid);
        rep(i, vec.size() - mid) {
            second[i] = vec[vec.size() - i - 1];
        }
        reverse(all(second));

        ll ans = count(first);
        ans += count(second);

        int now = 0;
        int l = 0;
        int r = 0;
        while (l < first.size() && r < second.size()) {
            if (first[l].second <= second[r].second) {
                vec[now] = first[l];
                now++;
                l++;
                continue;
            }

            ans += first.size() - l;
            vec[now] = second[r];
            now++;
            r++;
        }

        while (l < first.size()) {
            vec[now] = first[l];
            l++;
            now++;
        }

        while (r < second.size()) {
            vec[now] = second[r];
            r++;
            now++;
        }

        return ans;
    };

    ans += count(xs);
    ans += count(ys);

    cout << ans << '\n';
}
